Home | All Classes | Grouped Classes | Index | Search

# Class CL_NetSession

Net session class. More...

Derived from: none
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

Construction:

CL_NetSession | Constructs a netsession.

Attributes:

get_all | Returns a list of all computers connected.

Operations:

start_listen | Start listening for connections.
stop_listen | Stop listening for connections and disconnect everyone.
connect | Connect to remote netsession.
connect_async | Connect to remote netsession asyncronously.
show_debug | Enable or disable debug output.

Signals:

sig_computer_connected | Signal invoked when a computer connects to the netsession server.
sig_computer_reconnected | Signal invoked when a computer re-connects to the netsession server.
sig_computer_disconnected | Signal invoked when a computer disconnects from the netsession server.
sig_netstream_connect | Signal invoked when someone makes a connection to the specified netstream.
sig_netpacket_receive | Signal invoked when someone sends a netpacket to the specified packet channel.

Implementation:

Detailed description:

!group=Network/NetSessions! !header=network.h!
Questions or comments, write to the ClanLib mailing list.